USE Pubs
GO
IF OBJECT_ID('dbo.tfn_titleMatch') IS NOT NULL
  DROP FUNCTION dbo.tfn_titleMatch
GO
CREATE FUNCTION dbo.tfn_titleMatch
  (@pattern varchar(80))
  RETURNS @titleTbl TABLE (
    title_id varchar(6)  PRIMARY KEY,
    title    varchar(80) NOT NULL
  )
AS
  BEGIN
    SET @pattern = '%' + @pattern + '%'
    INSERT @titleTbl
      SELECT title_id, title
        FROM titles
        WHERE title LIKE @pattern
    RETURN
  END
GO