CREATE PROC msp_paracall (
  @p1 int = 0
, @p2 int
, @p3 int = NULL
)
AS
  SELECT @p1 AS '@p1', @p2 AS '@p2', @p3 AS '@p3'
GO

EXEC msp_paracall 1, 2              /* @P1 = 1, @P2 = 2, @P3 = NULL */
EXEC msp_paracall 1                 /* Error */
EXEC msp_paracall DEFAULT, 2        /* @P1 = 0, @P2 = 2, @P3 = NULL */
EXEC msp_paracall NULL, 2           /* @P1 = NULL, @P2 = 2, @P3 = NULL */
EXEC msp_paracall @P2 = 2           /* @P1 = 0, @P2 = 2, @P3 = NULL */
EXEC msp_paracall @P2 = 2, @P1 = 1  /* @P1 = 1, @P2 = 2, @P3 = NULL */