USE Pubs
IF object_id('msp_JobsInsert') IS NOT NULL
  DROP PROC msp_JobsInsert
GO
CREATE PROC msp_JobsInsert (
--@job_id   smallint    --> IDENTITY ̹Ƿ  Ұ
  @job_desc	varchar(50) = 'Ұɰ'  -- NOT NULL & DEFAULT(s)
, @min_lvl	tinyint
, @max_lvl	tinyint
)
AS
  BEGIN TRAN
  DECLARE @ERR int
  DECLARE @ID smallint    -- @@IDENTITY    

  /* ڵ ϴ  ( ڵ鵵 ). */
  INSERT jobs (job_desc, min_lvl, max_lvl)
    VALUES (@job_desc, @min_lvl, @max_lvl)
  SET @ERR = @@ERROR
  IF @ERR <> 0  GOTO ERROR

  SET @ID = @@IDENTITY  --   IDENTITY  

  /* ش    ⺻  */
  IF @job_desc = 'Ұɰ'
    BEGIN
      UPDATE jobs
        SET job_desc = DEFAULT
        WHERE job_id = @ID
      SET @ERR = @@ERROR
      IF @ERR <> 0  GOTO ERROR
    END

  COMMIT TRAN
  RETURN @ID  -- IDENTITY  ȯ
ERROR:
  DECLARE @error_msg nvarchar(400)
  SET @error_msg = dbo.sfn_MakeErrMsg('msp_JobsInsert', @ERR, DEFAULT)
  RAISERROR( @error_msg, 16, 1 )
  ROLLBACK TRAN
GO