USE Pubs
IF object_id('msp_JobsDelete') IS NOT NULL
  DROP PROC msp_JobsDelete
GO
CREATE PROC msp_JobsDelete (
  @job_id  smallint   --  Ű
)
AS
  BEGIN TRAN
  DECLARE @ERR int

  DELETE jobs
    WHERE job_id = @job_id
  SET @ERR = @@ERROR
  IF @ERR <> 0  GOTO ERROR

  COMMIT TRAN
  RETURN
ERROR:
  DECLARE @error_msg nvarchar(400)
  SET @error_msg = dbo.sfn_MakeErrMsg('msp_JobsDelete', @ERR, DEFAULT)
  RAISERROR( @error_msg, 16, 1 )
  ROLLBACK TRAN
GO