DECLARE @hdoc int
DECLARE @xmltext varchar(2000)
SET @xmltext =
 '<ROOT>
    <Customer CustomerID="VINET"
     ContactName="Paul Henriot">
       <Order CustomerID="VINET" EmployeeID="5"
        OrderDate="1996-07-04T00:00:00">
          <OrderDetail OrderID="10248"
           ProductID="11" Quantity="12"/>
          <OrderDetail OrderID="10248"
           ProductID="42" Quantity="10"/>
       </Order>
    </Customer>
    <Customer CustomerID="LILAS"
     ContactName="Carlos Gonzlez">
       <Order CustomerID="LILAS" EmployeeID="3"
        OrderDate="1996-08-16T00:00:00">
          <OrderDetail OrderID="10283"
           ProductID="72" Quantity="3"/>
       </Order>
    </Customer>
  </ROOT>'
EXEC sp_xml_preparedocument @hdoc OUTPUT, @xmltext
SELECT *
  FROM OPENXML(@hdoc, '/ROOT/Customer', 1)
    WITH (
      CustomerID  varchar(10)
    , ContactName varchar(20)
    )
EXEC sp_xml_removedocument @hdoc