 /* ...... */
 88 ----------------- msp_$Delete ------------------
 89 IF object_id('msp_$Delete') IS NOT NULL
 90   DROP PROC msp_$Delete
 91 GO
 92 CREATE PROC msp_$Delete (
 93   @$_id  int   --  Ű
 94 )
 95 AS
 96   BEGIN TRAN
 97   DECLARE @ERR int
 98 
 99   DELETE $
100     WHERE $_id = @$_id
101 
102   SET @ERR = @@ERROR
103   IF @ERR <> 0  GOTO ERROR
104 
105   COMMIT TRAN
106   RETURN
107 ERROR:
108   DECLARE @error_msg nvarchar(400)
109   SET @error_msg = dbo.sfn_MakeErrMsg('msp_$Delete', @ERR, DEFAULT)
110   RAISERROR( @error_msg, 16, 1 )
111   ROLLBACK TRAN
112 GO
 /* ...... */